
//#region src/index.ts
const plugin = { templateFunctions: [{
	name: "cookie.value",
	description: "Read the value of a cookie in the jar, by name",
	previewArgs: ["name"],
	args: [{
		type: "text",
		name: "name",
		label: "Cookie Name",
		placeholder: "cookie_name"
	}, {
		type: "text",
		name: "domain",
		label: "Domain",
		placeholder: "example.com",
		description: "Optionally filter by domain, useful if multiple cookies with the same name.",
		optional: true
	}],
	async onRender(ctx, args) {
		const name = args.values.cookie_name ?? args.values.name;
		const domain = String(args.values.domain ?? "").trim();
		return ctx.cookies.getValue({
			name: String(name),
			...domain.length > 0 ? { domain } : {}
		});
	}
}] };

//#endregion
exports.plugin = plugin;